package me.Demon.DemonLevels.manage;

import me.Demon.DemonLevels.data.PlayerData;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;

import java.util.HashMap;

public class ServerManage {

    private HashMap<Player,PlayerData> dataHashMap = new HashMap<>();
    private double expMultiplicity; // 当前经验倍率
    private boolean LinkDemonVipSystem = false; // 是否已关联 贵族系统

    public ServerManage(FileConfiguration yml){
        expMultiplicity = yml.getDouble("DoubleExp",1.0);
        if(Bukkit.getPluginManager().getPlugin("DemonVipSystem") != null){
            LinkDemonVipSystem = true;
        }
    }

    public double getExpMultiplicity() {
        return expMultiplicity;
    }

    public boolean isLinkDemonVipSystem() {
        return LinkDemonVipSystem;
    }

    public PlayerData getPlayerData(Player player){
        if(dataHashMap.get(player) == null){
            dataHashMap.put(player,new PlayerData(player));
        }
        return dataHashMap.get(player);
    }

    public HashMap<Player, PlayerData> getDataHashMap() {
        return dataHashMap;
    }
}
